package event

const (
	EVENT_PRODUCT_ADDED_TO_BASKET     = "event.ProductAddedToBasket"
	EVENT_PRODUCT_REMOVED_FROM_BASKET = "event.ProductRemovedFromBasket"
)

type ProductAddedToBasket struct {
	*Event
	ProductID string `json:"product_id"`
	BasketID  string `json:"basket_id"`
}

type ProductRemovedFromBasket struct {
	*Event
	ProductID string `json:"product_id"`
	BasketID  string `json:"basket_id"`
}
